Loading...
Searching...
No Matches
Magick::rotateImage Class Reference

## Public Member Functions

| rotateImage (const double degrees_)
void | operator() (Image &image_) const

## Private Attributes

double | _degrees

## Detailed Description

Definition at line 948 of file STL.h.

## Constructor & Destructor Documentation

## rotateImage()

Magick::rotateImage::rotateImage | ( | const double | degrees_ | ) |

Definition at line 909 of file STL.cpp.

: _degrees( degrees_ )
{
}

## Member Function Documentation

## operator()()

void Magick::rotateImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 913 of file STL.cpp.

{
image_.rotate( _degrees );
}

## Field Documentation

## _degrees

double Magick::rotateImage::_degrees

private

Definition at line 956 of file STL.h.

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp